package com.usky.iot.controller.api;

import com.usky.iot.RemoteIotTaskService;
import com.usky.iot.service.BaseAlarmService;
import com.usky.iot.service.CrmCustomInfoService;
import com.usky.iot.service.job.DmpDataOverviewJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class ServiceIotTaskApi implements RemoteIotTaskService {

    @Autowired
    private DmpDataOverviewJob dmpDataOverviewJob;

    @Autowired
    private BaseAlarmService baseAlarmService;

    @Autowired
    private CrmCustomInfoService crmCustomInfoService;

    @Override
    public void dataOverviewJobData () {
        dmpDataOverviewJob.execute();
    }

    @Override
    public void baseAlarmStatus() {
        baseAlarmService.status();
    }

    @Override
    public void customInfoStatus() {
        crmCustomInfoService.updateStatus();
    }
}
